<?php

// basic API class usage

include('libraries/bip_api.php');

echo '<pre>';

$bip = new BipKampanyAPI( 'email@example.com', 'password' );

try {
  $bip->sendSMS( '36201234567', 'Hello World!', 'BipKampany' );
}
catch ( Exception $e ) {
  mail(
    'email.com',
    'BIP API call error',
    $e
  );
  // a complete error message string
  echo $e; 
  // the response as an array with array indexes 'result', 'code' and 'message'
  print_r( $bip->getLastResult() ); 
}

echo '</pre>';

?>