<?php

include('libraries/bip_api.php');

echo '<pre>';

$bip = new BipKampanyAPI( 'email@example.com', 'password' );

try {

  $result = $bip->getBalance();
  echo $result['balance'] . ' ' . $result['currency'];

}
catch ( Exception $e ) {
  // you can get a general Exception if there's an
  // error unrelated to the API itself:
  // - API answer unknown
  // - API wasn't accessible (possible network issue)
  // - log file is not writable
  mail(
    'email@example.com',
    'General error in BIP API class',
    $e
  );

  // a complete error message string
  echo $e; 
  // the last response as an array with array indexes 'result', 'code' and 'message'
  print_r( $bip->getLastResult() ); 
}

echo '</pre>';

?>