<?php

include('libraries/bip_api.php');

echo '<pre>';

$bip = new BipKampanyAPI( 'email@example.com', 'jelszo' );

try {

  // the only parameter is the reference ID that was submitted
  // when sending the SMS
  $result = $bip->cancelSMS( '1234' );

  // cancel multiple SMSes by separating IDs with comma:
  // $result = $bip->cancelSMS( '1234,1235,1236' );
  print_r( $result );

}
catch ( Exception $e ) {
  // you can get a general Exception if there's an
  // error unrelated to the API itself:
  // - API answer unknown
  // - API wasn't accessible (possible network issue)
  // - log file is not writable
  mail(
    'email@example.com',
    'General error in BIP API class',
    $e
  );

  // a complete error message string
  echo $e; 
  // the last response as an array with array indexes 'result', 'code' and 'message'
  print_r( $bip->getLastResult() ); 
}

echo '</pre>';

?>